Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235469 - yum-updatesd is broken
Summary: yum-updatesd is broken
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Antill
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-05 22:36 UTC by Behdad Esfahbod
Modified: 2014-01-21 22:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-03 19:55:04 UTC


Attachments (Terms of Use)

Description Behdad Esfahbod 2007-04-05 22:36:41 UTC
Description of problem:

With previous versions of Fedora, I could just turn the yum service on and enjoy
an always-updated machine.

With FC6, that never happens.  The yum service is replaced by yum-updatesd.  So
I turned the service on and only weeks later found that I'm not getting any
automatic updates. Yikes!  Neither are many of my friends that I installed FC6
are getting them...

So I found /etc/yum/yum-updatesd.conf and made it automatically install updates.
 Still, what I got instead was a stale yum process eating 200MB of memory for
hours or even days.


Sorry if it looks like a rant, but it's a real problem.  Hope it's been fixed.

Comment 1 Jonathan Kamens 2007-04-11 04:40:38 UTC
This is still a problem for me with yum-updatesd-3.1.6-1.fc7.  When I run pup, I
get updates, but I am never notified about updates by the panel applet or by
email even though I have "emit_via = dbus email" in yum-updatesd.conf.


Comment 2 I. Piasecki 2007-04-30 22:41:49 UTC
Yes, it's broken as a HELL ! Never works like expected. I see updates as aplet
notification, when i log into GNOME, but, my comp is running in gnome even 5
days or more and i never get info about updates,even some are available - until
logout from GNOME and login again - or restart yum-updatesd, and maybe then i
recive info about update. Gosh, what a superb functionality - maybe works, maybe
not - who cares ?

run_interval = 600
updaterefresh = 300
emit_via = dbus
do_update = no
do_download = no
do_download_deps = no


Comment 3 Seth Vidal 2007-08-03 19:55:04 UTC
Please try yum-updatesd in rawhide. Reopen this bug if it does not fix your
concerns. Keep in mind - it's a rewrite from the ground up. :)

Comment 4 Paul Johnson 2007-08-15 17:57:55 UTC
Is rawhide a separate repository from updates-testing?  I thought they were the
same, but now I wonder. I've been running yum-updatesd from updates-testing, and
it does not fix the problem that yum-updatesd does not update anything.  


Note You need to log in before you can comment on or make changes to this bug.